Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025106
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2013-11-07 17:492014-01-02 17:14
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0MP31
StatusclosedFix in branchFixed in SCM revision17847a1ed46d
ProjectionnoneETAnoneTarget Version3.0MP31
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tongarcia
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025106: Asset set as not fully depreciated when there is a previously depreciated amount

DescriptionAsset set as not fully depreciated when there is a previously depreciated amount
Steps To ReproduceAs group admin role:
   Create an Asset
   Depreciate: Y
   Calculate Type: Time
   Amortize: Monthly
   Usable Life - Months: 1
   Depreciation Start Date: 01-01-2013
   Asset Value: 1000
   Depreciation Amt.: 1000
   Previously Depreciated Amt.: 800
   Create Amortization
   Process the Amortization line
   Check that Depreciated Value and Depreciated Plan are both 20 but Fully Depreciated is set to No
   
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0029091 closedjorge-garcia Fully depreciated field is not updated when unprocessing an asset amortization 

-  Notes
(0063112)
AtulOpenbravo (developer)
2013-12-30 10:47

Test Plan
- Login As F&B International Group Admin role:
- Go to Assets window, Create an Asset record.
- Mark Depreciate=Yes, Calculate Type: Time, Amortize: Monthly
   Usable Life - Months: 1, Depreciation Start Date: 01-01-2013
   Asset Value = 1000, Depreciation Amt = 1000
   Previously Depreciated Amt = 800.
- Press Create Amortization Button.
- Go to Asset Amortization, select the record and navigate to the Amortization window. Process the Amortization.
- Check that Depreciated Value and Depreciated Plan are both 200, Fully Depreciated Flag = Yes.
(0063141)
hgbot (developer)
2013-12-31 08:30

Repository: erp/devel/pi
Changeset: 17847a1ed46da43fa837ff347d206e34b6a34979
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Dec 30 14:55:36 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/17847a1ed46da43fa837ff347d206e34b6a34979 [^]

Fixes Issue 0025106:Asset set as not fully depreciated when there is a previously depreciated amount

---
M src-db/database/model/functions/A_AMORTIZATION_PROCESS.xml
---
(0063205)
hudsonbot (developer)
2014-01-02 17:14

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d2a6126e04e6 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-07 17:49 ngarcia New Issue
2013-11-07 17:49 ngarcia Assigned To => jonalegriaesarte
2013-11-07 17:49 ngarcia Modules => Core
2013-11-07 17:49 ngarcia Triggers an Emergency Pack => No
2013-11-07 18:02 ngarcia Issue Monitored: networkb
2013-11-11 16:39 jonalegriaesarte Target Version 3.0MP30 => 3.0MP31
2013-12-23 13:49 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2013-12-30 10:27 AtulOpenbravo Assigned To pramakrishnan => AtulOpenbravo
2013-12-30 10:28 AtulOpenbravo Status new => scheduled
2013-12-30 10:28 AtulOpenbravo fix_in_branch => pi
2013-12-30 10:47 AtulOpenbravo Note Added: 0063112
2013-12-31 08:27 AtulOpenbravo Review Assigned To => ngarcia
2013-12-31 08:27 AtulOpenbravo fix_in_branch pi =>
2013-12-31 08:30 hgbot Checkin
2013-12-31 08:30 hgbot Note Added: 0063141
2013-12-31 08:30 hgbot Status scheduled => resolved
2013-12-31 08:30 hgbot Resolution open => fixed
2013-12-31 08:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/17847a1ed46da43fa837ff347d206e34b6a34979 [^]
2013-12-31 09:43 ngarcia Status resolved => closed
2013-12-31 09:43 ngarcia Fixed in Version => 3.0MP31
2014-01-02 17:14 hudsonbot Checkin
2014-01-02 17:14 hudsonbot Note Added: 0063205
2015-02-27 10:24 ngarcia Relationship added related to 0029091


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker